<?php

//Add support for WordPress 3.0's custom menus
add_action( 'init', 'register_my_menu' );

//Register area for custom menu
function register_my_menu() {
	register_nav_menu( 'primary-menu', __( 'Primary Menu' ) );
}

// Enable post thumbnails
add_theme_support('post-thumbnails');
set_post_thumbnail_size(520, 250, true);

//Some simple code for our widget-enabled sidebar
if ( function_exists('register_sidebar') ){
	  register_sidebar(array(
		'name'=>'mid Side',
		'before_widget' => '', 'after_widget' => '', 'before_title' => '', 'after_title' => ''
	));
	 register_sidebar(array(
		'name'=>'Main Side',
		'before_widget' => '', 'after_widget' => '', 'before_title' => '', 'after_title' => ''
	));
	 register_sidebar(array(
		'name'=>'Left Side',
		'before_widget' => '', 'after_widget' => '', 'before_title' => '', 'after_title' => ''
	));
}

//Code for custom background support
add_custom_background();

//Enable post and comments RSS feed links to head
add_theme_support( 'automatic-feed-links' );

//Enable multisite feature (WordPress 3.0)
define('WP_ALLOW_MULTISITE', true);

// widgets
require_once("widgets/local.php");
require_once("widgets/links.php");
require_once("widgets/mandegar.php");
require_once("widgets/chosen.php");
require_once("widgets/single.php");
require_once("widgets/selected.php");
require_once("widgets/boxes.php");
require_once("widgets/slideshow.php");
require_once("widgets/media.php");
require_once("widgets/popular.php");
require_once("widgets/news.php");
require_once("widgets/reports.php");
require_once("widgets/gallery.php");

 //functions for the image size()
 //$post->ID
 function the_image($id, $n=0){
 switch($n){
    case 1://leading photo
            $_w = 711;
            $_h = 317;
            break;
    case 2:
            $_w = 270;
            $_h = 220;
            break;
    case 3:
            $_w = 285;
            $_h = 153;
            break;
    case 4:
            $_w = 100;
            $_h = 71;
            break;
    case 5:
            $_w = 95;
            $_h = 81;
            break;
    case 6:
            $_w = 1024;
            $_h = 720;
            break;
    case 7:
            $_w = 150;
            $_h = 90;
            break;
    case 8:
            $_w = 280;
            $_h = 404;
            break;
    case 9:
            $_w = 126;
            $_h = 178;
            break;
            
    default:
            $_w = 50;
            $_h = 50;
            break;
 }    
 $size = '&w='.$_w.'&h='.$_h ;
 
     if(has_post_thumbnail()){
     $address = wp_get_attachment_image_src(get_post_thumbnail_id($id) , 'widget-image');
     $befor =  bloginfo('template_directory').'/timthumb.php?src=';
     return $befor.$address[0].$size;
     }
     else{
     
     return '/timthumb.php?src='.bloginfo('template_directory').'/imgs/thumbnail.png'.$size;
     
     }}
     
     
     function the_sharing(){

$sharing =  "<fieldset id=sh><legend>Share with Friends:</legend>
    <a id=bm href='javascript:adf()'>Bookmark</a>
    <a id=pr href='javascript:void(0)' onclick='print()'>Print &nbsp; &nbsp;</a>
    <a href='https://twitter.com/share' class='twitter-share-button' data-via='simorghaf' data-size='large'>توييت</a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src='//platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document,'script','twitter-wjs');</script>
    <fb:like class=' fb_edge_widget_with_comment fb_iframe_widget' href='".get_permalink()."' send='true' width='285' show_faces='true' font='arial'></fb:like>
</fieldset>
    ";
    return $sharing;
     }

     


function string_limit_words($string, $word_limit)
{
    $words = explode(' ', $string, ($word_limit + 1));
    
    if(count($words) > $word_limit) {
        array_pop($words);
    }
    
    return implode(' ', $words);
}



function getArchives($count,$offset){
		$show_excerpt = isset($instance['show_excerpt']) ? 'true' : 'false';
		
		$post_type = 'all';
		$categories = $instance['categories'];
		$posts = $instance['posts'];
		$images = true;

		$post_types = get_post_types();
		unset($post_types['page'], $post_types['attachment'], $post_types['revision'], $post_types['nav_menu_item']);
		
		if($post_type == 'all') {
			$post_type_array = $post_types;
		} else {
			$post_type_array = $post_type;
		}

		$recent_posts = new WP_Query(array(
			'showposts' => $posts,
			'post_type' => $post_type_array,
			'cat' => $categories,
			'posts_per_page' => $count,
			'offset' => $offset
		));
		
		$posts = array();
		while($recent_posts->have_posts()){
			$recent_posts->the_post();

/*
			if(has_post_format('video') || has_post_format('audio') || has_post_format('gallery')) {
				$icon = '<span class="' . get_post_format($post->ID) . '-icon"></span>';
			} else {
				$icon = '';
			}
*/

			if($images){
				if(has_post_thumbnail()){
					$image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'widget-image');
					$image = $image[0];
				}else{
					$image = get_bloginfo('template_directory')."/imgs/thumbnail.png";
				}
			}
			$item = '<aside>' .
				( ($image) ? '<a href="'.get_permalink().'"><img src="'.get_bloginfo('template_directory').'/timthumb.php?src='.$image.'&w=80&h=45" /></a>'.$icon : '' ).
				'<a href="'.get_author_posts_url(get_the_author_meta('ID')).'" rel=author>'.get_the_author_meta('display_name').'</a> <time>'.get_the_time('j F').'</time>'.
				'<h4><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_title().'</a></h4>'.
				( ($show_excerpt=='true') ? '<p>'.string_limit_words(get_the_excerpt(), 15).' ...</p>' : '' ).
				'</aside>';
			array_push($posts,$item);
		}
		
		return $posts;
/*




	query_posts('posts_per_page='.$count.'&offset='.$offset);

	$posts = array();

	if(have_posts()) : while(have_posts()) : the_post();
		if(has_post_thumbnail()){
			$image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'widget-image');
			$image = $image[0];
		}
		$commentsNo = get_comments_number();
		if($commentsNo==0){
			$comments = 'No Responses';
		}else if($commentsNo==1){
			$comments = '1 Response';
		}else {
			$comments = $commentsNo . ' Responses';
		}


		$item = '<aside>
			<a href="'.get_permalink().'"><img src="'.$image.'" /></a>
			<a href="'.get_author_posts_url(get_the_author_meta('ID')).'" rel=author>'.get_the_author_meta('display_name').'</a> <time>'.get_the_time('j F').'</time>
			<h4><a href="'. get_permalink() .'">'. get_the_title() .'</a></h4>
		</aside>';
	array_push($posts,$item); endwhile; endif;

	return $posts;
	*/
}

// How comments are displayed
function avenue_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<div class="the-comment" <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
	
		<?php echo get_avatar($comment,$size='60'); ?>
		
		<div class="comment-arrow"></div>
		
		<div class="comment-box">
		
			<div class="comment-author">
				<strong><?php echo get_comment_author_link() ?></strong>
				<b class=d><?php printf(__('%1$s در %2$s', 'Avenue'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('Edit'),'  ','') ?> - <?php comment_reply_link(array_merge( $args, array('reply_text' => 'پاسخ دادن', 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?></b>
			</div>
		
			<div class="comment-text">
				<?php if ($comment->comment_approved == '0') : ?>
				<em><?php _e('ديدگاه شما بعد از بررسي نمايش داده خواهد شد.', 'Avenue') ?></em>
				<br />
				<?php endif; ?>
				<?php comment_text() ?>
			</div>
		
		</div>
		
	</div>

<?php }
?>