<?php
/*
Plugin Name: Hello World
Plugin URI: http://techsharks.af/
Description: Sample Hello World Plugin
Author: AhmadReza Zahedi
Version: 1
Author URI: http://techsharks.af/
*/

add_action('widgets_init', 'boxes_init');

function boxes_init()
{
	register_widget('boxes');
}

class boxes extends WP_Widget{
	
	function boxes()
	{
		$widget_ops = array('classname' => 'boxes', 'description' => 'colored boxes!');

		$control_ops = array('id_base' => 'boxes-widget');

		$this->WP_Widget('boxes-widget', '[Sharks] Boxes', $widget_ops, $control_ops);
	}
	
	function widget($args, $instance)
	{
		extract($args);
		
		$post_type = 'all';
		$btype = $instance['btype'];
		$color = $instance['color'];
		$categories = $instance['categories'];
		$words = $instance['words'];
		$images = true;
		
		echo $before_widget;
		?>
		
		<?php
		$post_types = get_post_types();
		unset($post_types['page'], $post_types['attachment'], $post_types['revision'], $post_types['nav_menu_item']);
		
		if($post_type == 'all') {
			$post_type_array = $post_types;
		} else {
			$post_type_array = $post_type;
		}
		?>

		<?php
		$recent_posts = new WP_Query(array(
			'showposts' => 1,
			'post_type' => $post_type_array,
			'cat' => $categories,
		));
		?>
		<?php $counter = 1; while($recent_posts->have_posts()): $recent_posts->the_post(); ?>
		<?php
		if(has_post_format('video') || has_post_format('audio') || has_post_format('gallery')) {
			$icon = '<span class="' . get_post_format($post->ID) . '-icon"></span>';
		} else {
			$icon = '';
		}
		?>
		<div class="bx1 <?php echo $color; ?>">
			<h4><a href="<?php echo get_category_link( $categories ) ?>"><?php echo get_cat_name($categories); ?></a></h4>
		<?php if($btype=='text'): ?>
			<div><?php echo string_limit_words(get_the_content(), $words); ?> ...<br /><a class=rm href="<?php the_permalink(); ?>">بيشتر بخوانيد</a></div>
		<?php elseif($btype=='image'): ?>
			<?php if(has_post_thumbnail()): ?>
			<?php $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'widget-image'); ?>
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php echo $image[0]; ?>&w=135&h=190" />
			<?php else: ?>
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php bloginfo('template_directory'); ?>/imgs/thumbnail.png&w=135&h=190" />
			<?php endif; ?>
			<?php the_title(); ?></a>
		<?php elseif($btype=='textile'): ?>
			<div>
				<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
				<?php echo string_limit_words(get_the_content(), $words); ?> ...<br /><a class=rm href="<?php the_permalink(); ?>">بيشتر بخوانيد</a>
			</div>
		<?php elseif($btype=='all'): ?>
			<div>
				<?php if(has_post_thumbnail()): ?>
				<?php $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'widget-image'); ?>
				<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php echo $image[0]; ?>&w=85&h=105" />
				<?php else: ?>
				<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php bloginfo('template_directory'); ?>/imgs/thumbnail.png&w=85&h=105" />
				<?php endif; ?>
				<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
				<?php echo string_limit_words(get_the_content(), $words); ?> ...<br /><a class=rm href="<?php the_permalink(); ?>">بيشتر بخوانيد</a></div>
		<?php endif; ?>
		</div>
		<?php $counter++; endwhile; ?>
			
		<?php
		echo $after_widget;
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		
		$instance['post_type'] = 'all';
		$instance['color'] = $new_instance['color'];
		$instance['btype'] = $new_instance['btype'];
		$instance['categories'] = $new_instance['categories'];
		$instance['words'] = $new_instance['words'];
		$instance['show_images'] = true;
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array('show_excerpt' => null, 'post_type' => 'all', 'btype' => 'text', 'color' => 'grn', 'categories' => 'all', 'words' => 100);
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id('btype'); ?>">Choose Type:</label> 
			<select id="<?php echo $this->get_field_id('btype'); ?>" name="<?php echo $this->get_field_name('btype'); ?>" class="widefat categories" style="width:100%">
			<option value='text' <?php if('text'==$instance['btype'])echo 'selected="selected"';?>>Text Only</option>
			<option value='image' <?php if('image'==$instance['btype'])echo 'selected="selected"';?>>Image Only</option>
			<option value='textile' <?php if('textile'==$instance['btype'])echo 'selected="selected"';?>>Title & Text</option>
			<option value='all' <?php if('all'==$instance['btype'])echo 'selected="selected"';?>>Title, Text & Image</option>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('categories'); ?>">Filter by Category:</label> 
			<select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" class="widefat categories" style="width:100%;">
				<option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>>all categories</option>
				<?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
				<?php foreach($categories as $category) { ?>
				<option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
				<?php } ?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('color'); ?>">Choose Color:</label> 
			<select id="<?php echo $this->get_field_id('color'); ?>" name="<?php echo $this->get_field_name('color'); ?>" class="widefat categories" style="width:100%">
			<option value='grn' <?php if('grn'==$instance['color'])echo 'selected="selected"';?>>Green Box</option>
			<option value='blu' <?php if('blu'==$instance['color'])echo 'selected="selected"';?>>Blue Box</option>
			<option value='red' <?php if('red'==$instance['color'])echo 'selected="selected"';?>>Red Box</option>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('words'); ?>">Number of Words:</label>
			<input class="widefat" style="width: 30px;" id="<?php echo $this->get_field_id('words'); ?>" name="<?php echo $this->get_field_name('words'); ?>" value="<?php echo $instance['words']; ?>" />
		</p>
		
	<?php }
}
?>